Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jna.platform.unix
Class X11.XSizeHints

    java.lang.Object
      com.sun.jna.Structure
          com.sun.jna.platform.unix.X11.XSizeHints

Enclosing interface:
  X11

    public static class X11.XSizeHints

extends com.sun.jna.Structure

Nested Class Summary
`static class` | `X11.XSizeHints.Aspect`

Nested classes/interfaces inherited from class com.sun.jna.Structure
`com.sun.jna.Structure.ByReference, com.sun.jna.Structure.ByValue`

Field Summary
`int` | `base_height`
`int` | `base_width`
`com.sun.jna.NativeLong` | `flags`
`int` | `height`
`int` | `height_inc`
`X11.XSizeHints.Aspect` | `max_aspect`
`int` | `max_height`
`int` | `max_width`
`X11.XSizeHints.Aspect` | `min_aspect`
`int` | `min_height`
`int` | `min_width`
`int` | `width`
`int` | `width_inc`
`int` | `win_gravity`
`int` | `x`
`int` | `y`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`X11.XSizeHints()`

Method Summary

Methods inherited from class com.sun.jna.Structure
`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getFields, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, read, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toArray, toArray, toString, useMemory, useMemory, write, writeField, writeField`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### flags

    public com.sun.jna.NativeLong flags

### x

    public int x

### y

    public int y

### width

    public int width

### height

    public int height

### min_width

    public int min_width

### min_height

    public int min_height

### max_width

    public int max_width

### max_height

    public int max_height

### width_inc

    public int width_inc

### height_inc

    public int height_inc

### min_aspect

    public X11.XSizeHints.Aspect min_aspect

### max_aspect

    public X11.XSizeHints.Aspect max_aspect

### base_width

    public int base_width

### base_height

    public int base_height

### win_gravity

    public int win_gravity

Constructor Detail

### X11.XSizeHints

    public X11.XSizeHints()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD